> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Web Client Config

> Get the configuration of the web client.

This endpoint is typically one of the first invoked, and does not require
authentication. It provides general settings for the web client independent
of users.



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/v1/web-client/config
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/web-client/config:
    get:
      tags:
        - Config
      summary: Get Web Client Config
      description: >-
        Get the configuration of the web client.


        This endpoint is typically one of the first invoked, and does not
        require

        authentication. It provides general settings for the web client
        independent

        of users.
      operationId: get_web_client_config_api_v1_web_client_config_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebClientConfig'
components:
  schemas:
    WebClientConfig:
      properties:
        app_mode:
          $ref: '#/components/schemas/AppMode'
        posthog_client_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Posthog Client Key
        feature_flags:
          $ref: '#/components/schemas/WebClientFeatureFlags'
        providers_configured:
          items:
            $ref: '#/components/schemas/ProviderType'
          type: array
          title: Providers Configured
        maintenance_start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Maintenance Start Time
        auth_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth Url
        recaptcha_site_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Recaptcha Site Key
        faulty_models:
          items:
            type: string
          type: array
          title: Faulty Models
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        updated_at:
          type: string
          format: date-time
          title: Updated At
        github_app_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Github App Slug
        gitlab_enabled:
          type: boolean
          title: Gitlab Enabled
          default: false
        provider_default_hosts:
          additionalProperties:
            type: string
          type: object
          title: Provider Default Hosts
        slack_enabled:
          type: boolean
          title: Slack Enabled
          default: false
        email_enabled:
          type: boolean
          title: Email Enabled
          default: false
        email_change_enabled:
          type: boolean
          title: Email Change Enabled
          default: true
        acp_providers:
          items:
            $ref: '#/components/schemas/ACPProviderConfig'
          type: array
          title: Acp Providers
        jira_dc_oauth_host:
          anyOf:
            - type: string
            - type: 'null'
          title: Jira Dc Oauth Host
        jira_dc_service_account_managed:
          type: boolean
          title: Jira Dc Service Account Managed
          default: false
        jira_dc_service_account_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Jira Dc Service Account Email
        jira_dc_service_account_config_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Jira Dc Service Account Config Error
        kind:
          type: string
          const: WebClientConfig
          title: Kind
      type: object
      required:
        - app_mode
        - posthog_client_key
        - feature_flags
        - providers_configured
        - maintenance_start_time
        - auth_url
        - recaptcha_site_key
        - faulty_models
        - error_message
        - updated_at
        - github_app_slug
        - kind
      title: WebClientConfig
    AppMode:
      type: string
      enum:
        - oss
        - saas
      title: AppMode
    WebClientFeatureFlags:
      properties:
        enable_billing:
          type: boolean
          title: Enable Billing
          default: false
        hide_llm_settings:
          type: boolean
          title: Hide Llm Settings
          default: false
        enable_jira:
          type: boolean
          title: Enable Jira
          default: false
        enable_jira_dc:
          type: boolean
          title: Enable Jira Dc
          default: false
        enable_linear:
          type: boolean
          title: Enable Linear
          default: false
        hide_users_page:
          type: boolean
          title: Hide Users Page
          default: false
        hide_billing_page:
          type: boolean
          title: Hide Billing Page
          default: false
        hide_integrations_page:
          type: boolean
          title: Hide Integrations Page
          default: false
        hide_personal_workspaces:
          type: boolean
          title: Hide Personal Workspaces
          default: false
        allow_user_llm_configuration:
          type: boolean
          title: Allow User Llm Configuration
          default: true
        enable_acp:
          type: boolean
          title: Enable Acp
          default: true
        deployment_mode:
          anyOf:
            - type: string
              enum:
                - cloud
                - self_hosted
            - type: 'null'
          title: Deployment Mode
        enable_onboarding:
          type: boolean
          title: Enable Onboarding
          default: false
        enable_automations:
          type: boolean
          title: Enable Automations
          default: true
        enable_agent_canvas_banner:
          type: boolean
          title: Enable Agent Canvas Banner
          default: false
      type: object
      title: WebClientFeatureFlags
    ProviderType:
      type: string
      enum:
        - github
        - gitlab
        - bitbucket
        - bitbucket_data_center
        - forgejo
        - azure_devops
        - enterprise_sso
      title: ProviderType
    ACPProviderConfig:
      properties:
        key:
          type: string
          title: Key
        display_name:
          type: string
          title: Display Name
        default_command:
          items:
            type: string
          type: array
          title: Default Command
        default_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Model
        available_models:
          items:
            $ref: '#/components/schemas/ACPModelOption'
          type: array
          title: Available Models
        api_key_env_var:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key Env Var
        base_url_env_var:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Url Env Var
      type: object
      required:
        - key
        - display_name
        - default_command
      title: ACPProviderConfig
    ACPModelOption:
      properties:
        id:
          type: string
          title: Id
        label:
          type: string
          title: Label
      type: object
      required:
        - id
        - label
      title: ACPModelOption

````